\name{getUniqueFilename}
\alias{getUniqueFilename}
\title{Generates a unique file name by incrementing a counter.}
\usage{
  getUniqueFilename(fPath, overwrite = F)
}
\arguments{
  \item{fPath}{file path to make unique}

  \item{overwrite}{boolean, default FALSE, whether to
  generate a file name that is the name of an
  already-existing file, i.e.  *don't* make the filename
  unique.}
}
\value{
  unique file name, consisting of the original with a
  number appended (filename1.txt, filename2.txt, etc).
}
\description{
  Generates a unique file name by incrementing a counter.
}
\examples{
getUniqueFilename('foo.txt')
 # if foo.txt exists, returns 'foo1.txt'
 # if foo1.txt exists, returns 'foo2.txt'. etc.
}
\seealso{
  Other file: \code{\link{createFilename}},
  \code{\link{dir.browse}}, \code{\link{file.browse}},
  \code{\link{getExtension}}, \code{\link{getFilename}},
  \code{\link{makeIfNotExists}}
}

